.ik-fullWidth {
    width: 100vw;
}
.ik-fullHeight {
    height: 100vh;
}

.ik-margin-top-4 { margin-top: 4px; }
.ik-margin-bottom-4 { margin-bottom: 4px; }
.ik-margin-left-4 { margin-left: 4px; }
.ik-margin-right-4 { margin-right: 4px; }
.ik-margin-top-8 { margin-top: 8px; }
.ik-margin-bottom-8 { margin-bottom: 8px; }
.ik-margin-left-8 { margin-left: 8px; }
.ik-margin-right-8 { margin-right: 8px; }
.ik-margin-top-16 { margin-top: 16px; }
.ik-margin-bottom-16 { margin-bottom: 16px; }
.ik-margin-left-16 { margin-left: 16px; }
.ik-margin-right-16 { margin-right: 16px; }
.ik-margin-top-32 { margin-top: 32px; }
.ik-margin-bottom-32 { margin-bottom: 32px; }
.ik-margin-left-32 { margin-left: 32px; }
.ik-margin-right-32 { margin-right: 32px; }
.ik-margin-top-64 { margin-top: 64px; }
.ik-margin-bottom-64 { margin-bottom: 64px; }
.ik-margin-left-64 { margin-left: 64px; }
.ik-margin-right-64 { margin-right: 64px; }
.ik-margin-top-128 { margin-top: 128px; }
.ik-margin-bottom-128 { margin-bottom: 128px; }
.ik-margin-left-128 { margin-left: 128px; }
.ik-margin-right-128 { margin-right: 128px; }

.ik-margin-horizontal-4 { margin-left: 4px; margin-right: 4px; }
.ik-margin-horizontal-8 { margin-left: 8px; margin-right: 8px; }
.ik-margin-horizontal-16 { margin-left: 16px; margin-right: 16px; }
.ik-margin-horizontal-32 { margin-left: 32px; margin-right: 32px; }
.ik-margin-horizontal-64 { margin-left: 64px; margin-right: 64px; }
.ik-margin-horizontal-128 { margin-left: 128px; margin-right: 128px; }

.ik-margin-vertical-4 { margin-top: 4px; margin-bottom: 4px; }
.ik-margin-vertical-8 { margin-top: 8px; margin-bottom: 8px; }
.ik-margin-vertical-16 { margin-top: 16px; margin-bottom: 16px; }
.ik-margin-vertical-32 { margin-top: 32px; margin-bottom: 32px; }
.ik-margin-vertical-64 { margin-top: 64px; margin-bottom: 64px; }
.ik-margin-vertical-128 { margin-top: 128px; margin-bottom: 128px; }

.ik-padding-top-4 { padding-top: 4px; }
.ik-padding-bottom-4 { padding-bottom: 4px; }
.ik-padding-left-4 { padding-left: 4px; }
.ik-padding-right-4 { padding-right: 4px; }
.ik-padding-top-8 { padding-top: 8px; }
.ik-padding-bottom-8 { padding-bottom: 8px; }
.ik-padding-left-8 { padding-left: 8px; }
.ik-padding-right-8 { padding-right: 8px; }
.ik-padding-top-16 { padding-top: 16px; }
.ik-padding-bottom-16 { padding-bottom: 16px; }
.ik-padding-left-16 { padding-left: 16px; }
.ik-padding-right-16 { padding-right: 16px; }
.ik-padding-top-32 { padding-top: 32px; }
.ik-padding-bottom-32 { padding-bottom: 32px; }
.ik-padding-left-32 { padding-left: 32px; }
.ik-padding-right-32 { padding-right: 32px; }
.ik-padding-top-64 { padding-top: 64px; }
.ik-padding-bottom-64 { padding-bottom: 64px; }
.ik-padding-left-64 { padding-left: 64px; }
.ik-padding-right-64 { padding-right: 64px; }
.ik-padding-top-128 { padding-top: 128px; }
.ik-padding-bottom-128 { padding-bottom: 128px; }
.ik-padding-left-128 { padding-left: 128px; }
.ik-padding-right-128 { padding-right: 128px; }

.ik-padding-horizontal-4 { padding-left: 4px; padding-right: 4px; }
.ik-padding-horizontal-8 { padding-left: 8px; padding-right: 8px; }
.ik-padding-horizontal-16 { padding-left: 16px; padding-right: 16px; }
.ik-padding-horizontal-32 { padding-left: 32px; padding-right: 32px; }
.ik-padding-horizontal-64 { padding-left: 64px; padding-right: 64px; }
.ik-padding-horizontal-128 { padding-left: 128px; padding-right: 128px; }

.ik-padding-vertical-4 { padding-top: 4px; padding-bottom: 4px; }
.ik-padding-vertical-8 { padding-top: 8px; padding-bottom: 8px; }
.ik-padding-vertical-16 { padding-top: 16px; padding-bottom: 16px; }
.ik-padding-vertical-32 { padding-top: 32px; padding-bottom: 32px; }
.ik-padding-vertical-64 { padding-top: 64px; padding-bottom: 64px; }
.ik-padding-vertical-128 { padding-top: 128px; padding-bottom: 128px; }

.ik-text-bold {
    font-weight: bold;
}
.ik-text-italic {
    font-style: italic;
}

.ik-cursor-pointer {
    cursor: pointer;
}

ul.ik-no-bullets {
    list-style-type: none;
    margin: 0;
    padding: 0;
}

.ik-allow-word-break {
    display: inline-block;
    word-wrap:break-word;
    word-break: break-all;
}

.ik-text-preserved {
    white-space: pre-wrap;
}

.ik-text-decoration-none {
    text-decoration: none;
}

.ik-round-borders-top-8 {
    border-radius: 8px 8px 0px 0px;
}
.ik-round-borders-bottom-8 {
    border-radius: 0px 0px 8px 8px;
}
.ik-round-borders-right-8 {
    border-radius: 0px 8px 8px 0px;
}
.ik-round-borders-left-8 {
    border-radius: 8px 0px 0px 8px;
}

.ik-round-borders-top-16 {
    border-radius: 16px 16px 0px 0px;
}
.ik-round-borders-bottom-16 {
    border-radius: 0px 0px 16px 16px;
}
.ik-round-borders-right-16 {
    border-radius: 0px 16px 16px 0px;
}
.ik-round-borders-left-16 {
    border-radius: 16px 0px 0px 16px;
}

.ik-bg-img {
    background-image: url('../imgs/placeholder.png');
    background-size: cover; 
    background-position: center;
}